<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<span class='bullet'>&middot;</span>");

require_once INCLUDES."theme_functions_include.php";

function render_page($license = false) {
	
	global $settings, $main_style, $locale;
	echo "<div style='padding:10px'>";
	
	echo "<table cellpadding='0' cellspacing='0' width='950' class='center'>\n<tr>\n";
	echo "<td id='top_left'></td>\n";
	echo "<td id='top_middle'></td>\n";
	echo "<td id='top_right'></td>\n";
	echo "</tr><tr>\n";
	echo "<td id='top_middle_left'></td>\n";
	echo "<td id='top_middle_middle'>".showbanners()."</td>\n";
	echo "<td id='top_middle_right'></td>\n";
	echo "</tr><tr>\n";
	echo "<td id='top_bottom_left'></td>\n";
	echo "<td id='top_bottom_middle'></td>\n";
	echo "<td id='top_bottom_right'></td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='950' class='center'>\n<tr>\n";
	echo "<td id='sub_left'></td>\n";
	echo "<td id='sub_middle'>".showsublinks(" ")."</td>\n";
	echo "<td id='sub_right'></td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='950' class='center'>\n<tr>\n";
	echo "<td id='".(LEFT ? "middle_top_left" : "bottom_middle_left")."'></td>\n";
	echo "<td id='middle_top_middle'></td>\n";
	echo "<td id='".(RIGHT ? "middle_top_right" : "bottom_middle_right")."'></td>\n";
	echo "</tr><tr>\n";
	if (LEFT) {
		echo "<td id='middle_left' valign='top'>".LEFT."</td>\n";
	} else {
		echo "<td id='bottom_middle_left'></td>\n";
	}
	echo "<td id='middle_middle' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>\n";
	if (RIGHT) {
		echo "<td id='middle_right' valign='top'>".RIGHT."</td>\n";
	} else {
		echo "<td id='bottom_middle_right'></td>\n";
	}
	echo "</tr><tr>\n";
	echo "<td id='".(LEFT ? "middle_bottom_left" : "bottom_middle_left")."'></td>\n";
	echo "<td id='middle_bottom_middle'></td>\n";
	echo "<td id='".(RIGHT ? "middle_bottom_right" : "bottom_middle_right")."'></td>\n";
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='950' class='center'>\n<tr>\n";
	echo "<td id='bottom_middle_left'></td>\n";
	echo "<td id='bottom_middle_middle'>".stripslashes($settings['footer'])."<br /><br />\n";
	echo (!$license ? showcopyright()."<br /><br />" : "")."\n";
	echo showcounter()." : ".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</td>\n";
	echo "<td id='bottom_middle_right'></td>\n";
	echo "</tr><tr>\n";
	echo "<td id='bottom_left'></td>\n";
	echo "<td id='bottom_middle'></td>\n";
	echo "<td id='bottom_right'></td>\n";
	echo "</tr>\n</table>\n";

	echo "</div>";
}

function render_news($subject, $news, $info) {

	echo "<div class='main-title'>".$subject."</div>\n";
	echo "<div class='main-body'>".$news."</div>\n";
	echo "<div class='news-footer'>".newsposter($info,"&middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."</div>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<div class='main-title'>".$title."</div>\n";
	echo "<div class='main-body'>\n";

}

function closetable() {

	echo "</div>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<div class='side-title'>".$title."</div>\n";
	echo "<div class='side-body'>";

	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</div>\n";

}
?>
